Bug 1806422 (libpcap_rebase_el830) - rebase libpcap to version 1.9.1
Summary: rebase libpcap to version 1.9.1
Keywords:
Status: CLOSED ERRATA
Alias: libpcap_rebase_el830
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: libpcap
Version: 8.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 8.0
Assignee: Michal Ruprich
QA Contact: Robin Hack
Mariya Pershina
URL:
Whiteboard:
Depends On:
Blocks: 1825061 1792208 tcpdump_rebase_el830 1817044
TreeView+ depends on / blocked
 
Reported: 2020-02-24 07:31 UTC by Michal Ruprich
Modified: 2020-11-04 02:04 UTC (History)
5 users (show)

Fixed In Version: libpcap-1.9.1-1.el8
Doc Type: Enhancement
Doc Text:
.`libpcap` rebased to version 1.9.1 The `libpcap` packages have been updated to version 1.9.1 to fix Common Vulnerabilities and Exposures (CVE).
Clone Of:
Environment:
Last Closed: 2020-11-04 02:00:52 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4547 0 None None None 2020-11-04 02:01:02 UTC

Comment 7 Eirik Fuller 2020-06-07 03:15:53 UTC
Bug 1814335 comment 39 explains an indirect dependency of systemd on perl-interpreter introduced by this rebase, and the potential implications for coreos (long story short, newer libpcap packages disrupt the exclusion of perl-interpreter due to the libpcap dependency on libibverbs).

Comment 8 Michal Ruprich 2020-06-08 07:49:15 UTC
(In reply to Eirik Fuller from comment #7)
> Bug 1814335 comment 39 explains an indirect dependency of systemd on
> perl-interpreter introduced by this rebase, and the potential implications
> for coreos (long story short, newer libpcap packages disrupt the exclusion
> of perl-interpreter due to the libpcap dependency on libibverbs).

Hi Eirik, 

we have already removed the dependency on libibverbs from libpcap. It was causing dependency issues in Fedora so we decided that we won't include it in RHEL-8.3.0 because we cannot tell what could happen if we did. Newer version of libpcap(14:1.9.1-3) is without the libibverbs:

http://pkgs.devel.redhat.com/cgit/rpms/libpcap/commit/?h=rhel-8.3.0&id=fdcaf593071dc03d5565229254a284736e9d1da9

Comment 9 Eirik Fuller 2020-06-08 13:05:34 UTC
Thanks for the pointer. It didn't occur to me to look at newer libpcap builds as I investigated this dependency.

Comment 17 errata-xmlrpc 2020-11-04 02:00:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Low: libpcap security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4547


Note You need to log in before you can comment on or make changes to this bug.